Subject: [Idr] early allocation for draft-ietf-idr-bgp-ls-segment-routing-ext

From: "John G. Scudder" <[email-masked]>
Date: Sat, 15 Jul 2017 18:19:19 +0300

Hi All (and authors, please take special note),

We have a request for early allocation of the code points for draft-ietf-idr-bgp-ls-segment-routing-ext. This begins a two (working) week period for discussion, to conclude July 28, 2017.

As a reminder, RFC 7120 has the following conditions for Early Allocation:

   a.  The code points must be from a space designated as "RFC
       Required", "IETF Review", or "Standards Action".  Additionally,
       requests for early assignment of code points from a
       "Specification Required" registry are allowed if the
       specification will be published as an RFC.

Yes. Assuming the registry is "BGP-LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute TLVs", it's "Specification Required".

   b.  The format, semantics, processing, and other rules related to
       handling the protocol entities defined by the code points
       (henceforth called "specifications") must be adequately described
       in an Internet-Draft.

WG members can decide for themselves if they're "adequately described" but my working assumption is they are.

   c.  The specifications of these code points must be stable; i.e., if
       there is a change, implementations based on the earlier and later
       specifications must be seamlessly interoperable.

The fact the authors have seen fit to list values (see below) suggests they think the spec is stable, although explicit confirmation of this would be nice.

   d.  The Working Group chairs and Area Directors (ADs) judge that
       there is sufficient interest in the community for early (pre-RFC)
       implementation and deployment, or that failure to make an early
       allocation might lead to contention for the code point in the
       field.

WG adoption of the draft and active work on it suggests there is sufficient interest. This email is an opportunity to discuss further as needed.

I also note that the draft "suggests" (i.e., squats on) the various code points in question. This is a generally discouraged practice in the IETF and specifically discouraged in IDR, see https://trac.ietf.org/trac/idr/wiki/Checklist%20for%20writing%20a%20BGP-related%20draft  Authors, please remove the "suggested" code points and reissue the draft at first opportunity. When (if) the early allocation request is fulfilled, you can reissue with the proper code points.

While you're at it, I notice the IANA Considerations section doesn't name the registry the allocations are requested from. I assume it's "BGP-LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute TLVs". Please say so explicitly in the IANA section.

Thanks,

--John